<!DOCTYPE html>
<html><head>
<title>eric7.Utilities.uic</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Utilities.uic</h1>
<p>
Module implementing a function to compile all user interface files of a
directory or directory tree.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Functions</h3>
<table>
<tr>
<td><a href="#__pyName">__pyName</a></td>
<td>Local function to create the Python source file name for the compiled .ui file.</td>
</tr>
<tr>
<td><a href="#compileUiFiles">compileUiFiles</a></td>
<td>Module function to compile the .ui files of a directory tree to Python sources.</td>
</tr>
</table>

<hr />
<hr />
<a NAME="__pyName" ID="__pyName"></a>
<h2>__pyName</h2>
<b>__pyName</b>(<i>py_dir, py_file</i>)
<p>
    Local function to create the Python source file name for the compiled
    .ui file.
</p>

<dl>

<dt><i>py_dir</i> (str)</dt>
<dd>
suggested name of the directory
</dd>
<dt><i>py_file</i> (str)</dt>
<dd>
suggested name for the compile source file
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
tuple of directory name (string) and source file name
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="compileUiFiles" ID="compileUiFiles"></a>
<h2>compileUiFiles</h2>
<b>compileUiFiles</b>(<i>directory, recurse=False</i>)
<p>
    Module function to compile the .ui files of a directory tree to Python
    sources.
</p>

<dl>

<dt><i>directory</i> (str)</dt>
<dd>
name of a directory to scan for .ui files
</dd>
<dt><i>recurse</i> (boolean))</dt>
<dd>
flag indicating to recurse into subdirectories
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
